summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'gnome-base/gnome-desktop')
-rw-r--r--gnome-base/gnome-desktop/Manifest1
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-40.3.ebuild2
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-40.4.ebuild72
-rw-r--r--gnome-base/gnome-desktop/metadata.xml2
4 files changed, 75 insertions, 2 deletions
diff --git a/gnome-base/gnome-desktop/Manifest b/gnome-base/gnome-desktop/Manifest
index d73fbdcb26c..08ca434122a 100644
--- a/gnome-base/gnome-desktop/Manifest
+++ b/gnome-base/gnome-desktop/Manifest
@@ -1,2 +1,3 @@
DIST gnome-desktop-40.2.tar.xz 721852 BLAKE2B a7258d0465b17c5c9c78a066acd72571c002054f196d847e07b10055b1d72900d6efc80ac623f118ff11a87a4d5042ac9902f7f3f9d5a181ad3d80429cf9f904 SHA512 2fd3ba5eb0263aecc43978d84070619c16af4de998b344bc2aaac16aa0e734d93235aa218c2684ad993b471136434b97dffae52f183798daaa4ec47574cc51b3
DIST gnome-desktop-40.3.tar.xz 721788 BLAKE2B bfdb77995d8cb392805a9d4a7a1276608aa53ea7c73604b12817c1660176c4e0274ba6954523cd0bec067230520c2736ed77885726696e463c97d09992186243 SHA512 96f2069ec3eb1bd1f6c2056c73d268eed5521398818cc05c22cdedfd1c09805fe5abc7f450abc7752690e809f3bdca502dfc107564236bbb03e262531418804f
+DIST gnome-desktop-40.4.tar.xz 721840 BLAKE2B f663460ce6a2b2d03543e92eab9e2f127da4a7c8e800149842f5f30e4f885c104786806be8e8f32e0783003b18015d39b4501f3ceccdee0ab94206031bf671b4 SHA512 4e91438c17faa2d12e7d6a9914fe4308543bbd5f8821e94dee9052f087110e2a3776109c203de6ef7bf66ae1825fc5e890d969ce2ebab2654cc157e9629fe6fc
diff --git a/gnome-base/gnome-desktop/gnome-desktop-40.3.ebuild b/gnome-base/gnome-desktop/gnome-desktop-40.3.ebuild
index b42b6b81c1b..e42379bab2e 100644
--- a/gnome-base/gnome-desktop/gnome-desktop-40.3.ebuild
+++ b/gnome-base/gnome-desktop/gnome-desktop-40.3.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-desktop/"
LICENSE="GPL-2+ LGPL-2+ FDL-1.1+"
SLOT="3/19" # subslot = libgnome-desktop-3 soname version
IUSE="debug gtk-doc +introspection seccomp systemd udev"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
COMMON_DEPEND="
>=x11-libs/gdk-pixbuf-2.36.5:2[introspection?]
diff --git a/gnome-base/gnome-desktop/gnome-desktop-40.4.ebuild b/gnome-base/gnome-desktop/gnome-desktop-40.4.ebuild
new file mode 100644
index 00000000000..2df7a40bf2c
--- /dev/null
+++ b/gnome-base/gnome-desktop/gnome-desktop-40.4.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org gnome2-utils meson xdg
+
+DESCRIPTION="Library with common API for various GNOME modules"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-desktop/"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1+"
+SLOT="3/19" # subslot = libgnome-desktop-3 soname version
+IUSE="debug gtk-doc +introspection seccomp systemd udev"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+ >=x11-libs/gdk-pixbuf-2.36.5:2[introspection?]
+ >=x11-libs/gtk+-3.3.6:3[X,introspection?]
+ >=dev-libs/glib-2.53.0:2
+ >=gnome-base/gsettings-desktop-schemas-3.27.0[introspection?]
+ x11-misc/xkeyboard-config
+ x11-libs/libxkbcommon
+ app-text/iso-codes
+ systemd? ( sys-apps/systemd:= )
+ udev? (
+ sys-apps/hwids
+ virtual/libudev:= )
+ seccomp? ( sys-libs/libseccomp )
+
+ x11-libs/cairo:=
+ introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${COMMON_DEPEND}
+ media-libs/fontconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ seccomp? ( sys-apps/bubblewrap )
+"
+BDEPEND="
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gdbus-codegen
+ gtk-doc? ( >=dev-util/gtk-doc-1.14 )
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ x11-base/xorg-proto
+ virtual/pkgconfig
+"
+# Includes X11/Xatom.h in libgnome-desktop/gnome-bg.c which comes from xorg-proto
+
+PATCHES=(
+ "${FILESDIR}"/3.32.2-optional-introspection.patch # add introspection meson option
+)
+
+src_prepare() {
+ # Don't build manual test programs that will never get run
+ sed -i -e "/'test-.*'/d" libgnome-desktop/meson.build || die
+ xdg_src_prepare
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dgnome_distributor=Gentoo
+ -Ddate_in_gnome_version=true
+ -Ddesktop_docs=true
+ $(meson_use debug debug_tools)
+ $(meson_use introspection)
+ $(meson_feature udev)
+ $(meson_feature systemd)
+ $(meson_use gtk-doc gtk_doc)
+ -Dinstalled_tests=false
+ )
+ meson_src_configure
+}
diff --git a/gnome-base/gnome-desktop/metadata.xml b/gnome-base/gnome-desktop/metadata.xml
index 996e7cacd21..f453528b934 100644
--- a/gnome-base/gnome-desktop/metadata.xml
+++ b/gnome-base/gnome-desktop/metadata.xml
@@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>gnome@gentoo.org</email>